Bug 176498 - Problem with the find command. This problem was solved in bug 162418 but came back in newer kernel
Problem with the find command. This problem was solved in bug 162418 but came...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
All Linux
medium Severity low
: ---
: ---
Assigned To: Alexander Viro
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-23 13:36 EST by Quint van Drosthagen
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-19 00:54:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
output from ls -lR /proc/1464 (86.60 KB, text/plain)
2006-01-14 12:43 EST, Quint van Drosthagen
no flags Details

  None (edit)
Description Quint van Drosthagen 2005-12-23 13:36:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
In bug 162418 (https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=162418) there was a problem with the find running on /proc. This was fixed in kernel kernel-2.6.14-1.1657_FC5 and in kernel 2.6.14-1.1637_FC4smp.

I upgraded from kernel 2.6.14-1.1637_FC4smp to 2.6.14-1.1653_FC4smp and it came back. Why did it came back in an newer kernel??

Version-Release number of selected component (if applicable):
kernel-smp-2.6.14-1.1653_FC4

How reproducible:
Always

Steps to Reproduce:
1. find / -name <anything>
  

Actual Results:  find: WARNING: Hard link count is wrong for /proc/2297: this may be a bug in your filesystem driver.  Automatically turning on find's -noleaf option.  Earlier results may have failed to include directories that should have been searched.


Additional info:
Comment 1 Quint van Drosthagen 2006-01-06 08:11:07 EST
Is there any news on this matter???
Comment 2 Dave Jones 2006-01-12 19:15:28 EST
is it still a problem in the updates-testing kernel ?
Comment 3 Quint van Drosthagen 2006-01-13 09:33:45 EST
yes loaded latest test kernel :

Linux Firewall 2.6.15-1.1824_FC4smp #1 SMP Thu Jan 12 16:11:20 EST 2006 i686
athlon i386 GNU/Linux

And still error after find / -name <anything>

find: WARNING: Hard link count is wrong for /proc/1363: this may be a bug in
your filesystem driver.  Automatically turning on find's -noleaf option. 
Earlier results may have failed to include directories that should have been
searched.
Comment 4 Dave Jones 2006-01-13 16:33:27 EST
Al, any ideas on this one ?
Comment 5 Alexander Viro 2006-01-13 17:25:37 EST
Sigh...  How about ls -lR /proc/<whatever_triggers> ?
Comment 6 Quint van Drosthagen 2006-01-14 12:43:37 EST
Created attachment 123199 [details]
output from ls -lR /proc/1464
Comment 7 Quint van Drosthagen 2006-01-14 12:46:59 EST
Something went wrong so the attachment above is info from these commands sorry
for the inconvenients.

[root@Firewall ~]# find / -name pipo
find: WARNING: Hard link count is wrong for /proc/1464: this may be a bug in
your filesystem driver.  Automatically turning on find's -noleaf option. 
Earlier results may have failed to include directories that should have been
searched.

[root@Firewall ~]# ls -lR /proc/1464
"Output attached because of the long output"
Comment 8 Quint van Drosthagen 2006-02-01 09:44:40 EST
Update the kernel to see if this solved the problem but no still there...
Running kernel :

#uname -a
Linux Firewall 2.6.14-1.1656_FC4smp #1 SMP Thu Jan 5 22:24:06 EST 2006 i686
athlon i386 GNU/Linux


Comment 9 Dave Jones 2006-02-03 01:31:04 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 10 Quint van Drosthagen 2006-02-06 10:46:00 EST
Updated to new kernel.

Linux Firewall 2.6.15-1.1830_FC4smp #1 SMP Thu Feb 2 17:39:38 EST 2006 i686
athlon i386 GNU/Linux

Run 'find / -name test'

Output normal now. This kernel solved the problem.
Call can be closed.

Thanks for the help.
Comment 11 Quint van Drosthagen 2006-02-10 13:31:07 EST
Sorry above is not right it must be

Linux Firewall 2.6.15-1.1831_FC4smp #1 SMP Thu Feb 2 17:39:38 EST 2006 i686
athlon i386 GNU/Linux

But still the problem is solved.

Note You need to log in before you can comment on or make changes to this bug.